### Function

# RB SourceSearch get_by_name

#### Declaration [src]

    RBSourceSearch*
    rb_source_search_get_by_name (
      const char* name
    )

#### Description [src]

Finds the registered search instance with the specified name.

#### Parameters

`name`

  Type: `const char*`

  Name to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBSourceSearch`

Search instance, or NULL if not found.

The data is owned by the called function.